#!/bin/sh

echo "Setup MySQL8 server debconf"

echo "mysql-community-server mysql-community-server/root-pass password """ | debconf-set-selections
echo "mysql-community-server mysql-community-server/re-root-pass password """ | debconf-set-selections
echo "mysql-community-server mysql-server/default-auth-override select Use Legacy Authentication Method (Retain MySQL 5.x Compatibility)" | debconf-set-selections
echo "mysql-community-server mysql-server/data-dir select '/linuxcash/cash/data/mysql'" | debconf-set-selections

apt-get update
apt-get -o Dpkg::Options::="--force-overwrite" -o Dpkg::Options::="--force-confnew" -yq install artix-mysql8-config

echo "Create dictionaries dump 'dict.sql'"
mysqldump -t dictionaries > dict.sql && echo " done"
echo "Drop dictionaries database"
/linuxcash/cash/data/db/drop_dictionaries && echo " done"
/linuxcash/cash/data/db/update_db
echo "Restore dictionaries from dump"
mysql -f dictionaries < dict.sql